Runtime

## org.eclipse.gmf.runtime.common.ui.services.icon
Class LabelChangedEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.gmf.runtime.common.core.service.ProviderChangeEvent
              org.eclipse.gmf.runtime.common.ui.services.icon.LabelChangedEvent

All Implemented Interfaces:
  java.io.Serializable

    public class LabelChangedEvent

extends ProviderChangeEvent

A custom provider changed event for handling icon and text changes

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`LabelChangedEvent(IProvider source, java.lang.Object[] elements)` Constructor for LabelChangedEvent
`LabelChangedEvent(IProvider source, java.lang.Object[] elements, boolean childrenAffecting)` Constructor for LabelChangedEvent

Method Summary
`java.lang.Object[]` `getElements()` Returns the affected elements
`boolean` `isChildrenAffecting()`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.ProviderChangeEvent
`setSource`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LabelChangedEvent

    public LabelChangedEvent(IProvider source,
                             java.lang.Object[] elements)

  Constructor for LabelChangedEvent

  Parameters:
    `source` - the provider source
    `elements` - the affected elements

### LabelChangedEvent

    public LabelChangedEvent(IProvider source,
                             java.lang.Object[] elements,
                             boolean childrenAffecting)

  Constructor for LabelChangedEvent

  Parameters:
    `source` - the provider source
    `elements` - the affected elements
    `childrenAffecting` - Indicates if the event is affecting the children of the affected elements

Method Detail

### getElements

    public java.lang.Object[] getElements()

  Returns the affected elements

  Returns:
    the elements.

### isChildrenAffecting

    public boolean isChildrenAffecting()

  Returns:
    The indicator if the event is affecting the children of the affected elements

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.